=== debian/changelog ===
libwpe (1.4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpe-1.0-1.symbols:
    + Update symbols
  * debian/control:
    + Update Standards-Version to 4.4.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 13 Nov 2019 16:59:49 +0200

libwpe (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #930116)

 -- Alberto Garcia <berto@igalia.com>  Wed, 19 Jun 2019 14:34:16 +0300
