## libwpe 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include(VersioningUtils)
 
-SET_PROJECT_VERSION(1 4 0)
+SET_PROJECT_VERSION(1 6 0)
 set(WPE_API_VERSION "1.0")
 
 # Before making a release, the LT_VERSION string should be modified.
@@ -14,9 +14,12 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPE 3 3 2)
+CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPE 4 2 3)
 
 project(libwpe VERSION "${PROJECT_VERSION}")
+
+set(WPE_BACKEND "" CACHE STRING
+    "Name of the backend library to load, instead of libWPEBackend-default.so")
 
 include(CheckCCompilerFlag)
 include(CheckCXXCompilerFlag)
@@ -48,39 +51,6 @@
 find_package(EGL REQUIRED)
 find_package(Libxkbcommon REQUIRED)
 
-add_definitions(${EGL_DEFINITIONS})
-add_definitions(-DWPE_COMPILATION)
-
-if(WPE_BACKEND)
-  add_definitions(-DWPE_BACKEND=\"${WPE_BACKEND}\")
-endif()
-
-set(WPE_INCLUDE_DIRECTORIES
-    "include"
-    "src"
-    ${DERIVED_SOURCES_DIR}
-    ${EGL_INCLUDE_DIRS}
-    ${LIBXKBCOMMON_INCLUDE_DIRS}
-)
-
-set(WPE_LIBRARIES
-    dl
-    ${LIBXKBCOMMON_LIBRARIES}
-)
-
-set(WPE_SOURCES
-    src/input.c
-    src/key-unicode.c
-    src/loader.c
-    src/pasteboard.c
-    src/pasteboard-generic.cpp
-    src/pasteboard-noop.cpp
-    src/renderer-backend-egl.c
-    src/renderer-host.c
-    src/version.c
-    src/view-backend.c
-)
-
 set(WPE_PUBLIC_HEADERS
   ${DERIVED_SOURCES_DIR}/version.h
   ${DERIVED_SOURCES_DIR}/version-deprecated.h
@@ -96,11 +66,39 @@
   include/wpe/wpe.h
 )
 
-add_library(wpe SHARED ${WPE_SOURCES})
-target_include_directories(wpe PRIVATE ${WPE_INCLUDE_DIRECTORIES})
-target_link_libraries(wpe ${WPE_LIBRARIES})
+add_library(wpe SHARED
+    src/input.c
+    src/key-unicode.c
+    src/loader.c
+    src/pasteboard.c
+    src/pasteboard-generic.cpp
+    src/pasteboard-noop.cpp
+    src/renderer-backend-egl.c
+    src/renderer-host.c
+    src/version.c
+    src/view-backend.c
+)
+target_include_directories(wpe PRIVATE
+    "include"
+    "src"
+    ${DERIVED_SOURCES_DIR}
+    $<TARGET_PROPERTY:GL::egl,INTERFACE_INCLUDE_DIRECTORIES>
+)
+target_compile_definitions(wpe PRIVATE
+    WPE_COMPILATION
+    $<TARGET_PROPERTY:GL::egl,INTERFACE_COMPILE_DEFINITIONS>
+)
+if (WPE_BACKEND)
+    target_compile_definitions(wpe PRIVATE WPE_BACKEND=\"${WPE_BACKEND}\")
+endif()
+target_compile_options(wpe PRIVATE
+    $<TARGET_PROPERTY:GL::egl,INTERFACE_COMPILE_OPTIONS>
+)
+target_link_libraries(wpe PRIVATE XkbCommon::libxkbcommon ${CMAKE_DL_LIBS})
 
 set_target_properties(wpe PROPERTIES
+  C_VISIBILITY_PRESET hidden
+  CXX_VISIBILITY_PRESET hidden
   OUTPUT_NAME wpe-${WPE_API_VERSION}
   VERSION ${LIBWPE_VERSION}
   SOVERSION ${LIBWPE_VERSION_MAJOR}
