=== debian/changelog ===
libwpe (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Set the debhelper compatibility level to 12:
    + Get rid of debian/compat.
    + Add build dependency on debhelper-compat.
  * Add upstream metadata file.
  * debian/control:
    + Add Rules-Requires-Root: no.
    + Update Standards-Version to 4.5.0 (no changes).
  * debian/libwpe-1.0-1.symbols:
    + Update symbols
  * debian/copyright:
    + Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Thu, 12 Mar 2020 00:32:32 +0100
