=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                libegl1-mesa-dev,
                libxkbcommon-dev,
                cmake
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/libwpe
 Vcs-Git: https://salsa.debian.org/webkit-team/libwpe.git
 Homepage: https://wpewebkit.org/
