=== debian/changelog ===
libwpe (1.10.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alberto Garcia <berto@igalia.com>  Tue, 15 Jun 2021 19:01:32 +0200

libwpe (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright years.
  * debian/libwpe-1.0-1.symbols:
    + Update symbols
  * debian/control:
    + Update Standards-Version to 4.5.1 (no changes).
  * debian/watch:
    + Set version to 4 (fixes older-debian-watch-file-standard)
    + Scan stable releases only.

 -- Alberto Garcia <berto@igalia.com>  Sat, 27 Mar 2021 23:08:25 +0100
