=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libegl1-mesa-dev,
                libxkbcommon-dev,
                cmake
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/libwpe
 Vcs-Git: https://salsa.debian.org/webkit-team/libwpe.git
