=== debian/changelog ===
libwpe (1.12.0-1~bpo11+1) bullseye-backports; urgency=medium

  * backport to bullseye
  * debian: depend on vendor neutral libegl-dev
  * debian: more vendor neutral dependencies

 -- Marc Leeman <m.leeman@televic.com>  Mon, 04 Apr 2022 14:27:20 +0200

libwpe (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpe-1.0-1.symbols:
    + Update symbols

 -- Alberto Garcia <berto@igalia.com>  Fri, 01 Oct 2021 09:37:07 +0200
