=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Alberto Garcia <berto@igalia.com>
+Uploaders: Alberto Garcia <berto@igalia.com>,
+            Marc Leeman <m.leeman@televic.com>,
 Build-Depends: debhelper-compat (= 12),
                pkg-config,
-               libegl1-mesa-dev,
+               libegl-dev,
                libxkbcommon-dev,
                cmake
 Standards-Version: 4.5.1
@@ -20,7 +21,7 @@
 Multi-Arch: same
 Depends: libwpe-1.0-1 (= ${binary:Version}),
          libxkbcommon-dev,
-         libegl1-mesa-dev,
+         libegl-dev,
          ${misc:Depends}
 Description: Base library for the WPE WebKit port - development files
  libwpe is a small C library designed for the WPE port of the WebKit
