=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,11 @@
 	type: 'string',
 	value: '',
 	description: 'Name of the backend library to load, instead of libWPEBackend-default.so'
+)
+option('enable-xkb',
+	type: 'boolean',
+	value: true,
+	description: 'Enable use of libxkbcommon for keyboard input'
 )
 option('build-docs',
 	type: 'boolean',
