=== debian/changelog ===
libwpe (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpe-1.0-1.symbols:
    - Update symbols

 -- Alberto Garcia <berto@igalia.com>  Tue, 20 Sep 2022 11:28:43 +0200

libwpe (1.12.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Set the debhelper compatibility level to 13.
    - Update Standards-Version to 4.6.1.0 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 10 Aug 2022 15:10:04 +0200
