=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Alberto Garcia <berto@igalia.com>,
-            Marc Leeman <m.leeman@televic.com>,
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Alberto Garcia <berto@igalia.com>
+Build-Depends: debhelper-compat (= 13),
                pkg-config,
-               libegl-dev,
+               libegl1-mesa-dev,
                libxkbcommon-dev,
                cmake
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/libwpe
 Vcs-Git: https://salsa.debian.org/webkit-team/libwpe.git
@@ -21,7 +20,7 @@
 Multi-Arch: same
 Depends: libwpe-1.0-1 (= ${binary:Version}),
          libxkbcommon-dev,
-         libegl-dev,
+         libegl1-mesa-dev,
          ${misc:Depends}
 Description: Base library for the WPE WebKit port - development files
  libwpe is a small C library designed for the WPE port of the WebKit
