## libwpe 1.16.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-calculate_library_versions_from_libtool_triple(LIBWPE 9 0 8)
+calculate_library_versions_from_libtool_triple(LIBWPE 10 5 9)
 
 project(libwpe VERSION "${PROJECT_VERSION}")
