## libwpe 1.16.3

=== debian/changelog ===
libwpe (1.16.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove redundant 'Rules-Requires-Root: no' field.

 -- Alberto Garcia <berto@igalia.com>  Thu, 20 Nov 2025 13:01:08 +0100
