=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                libxkbcommon-dev,
                cmake
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/libwpe
 Vcs-Git: https://salsa.debian.org/webkit-team/libwpe.git
 Homepage: https://wpewebkit.org/
